Get Brand Details by Brand Number

GET Method

The Get Brand Details by Brand Number API request fetches a brand's details by specifying the 'brand number' in the query parameter.

Prerequisites

  • After you sign up, your account will be on the trial version. You must complete the KYC to access all the features in kaleyra.io.
  • Before you get started, Create an API Key. To view the API Key and the SID, see View API Key and SID.
  • To send any RCS messages, you must configure the RCS channel in the Kaleyra platform. To configure the RCS channel in your account, please contact your local Kaleyra representative.

Base URL

https://rcs-api.<pod>.kaleyra.io/v1/<sid>

API Domain and Value

api_domainValue
IN podhttps://rcs-api.in.kaleyra.io
NA podhttps://rcs-api.na.kaleyra.io

API Request to get Brand Details by Brand Number

To get the brand details by band number, use the https://rcs-api.<pod>.kaleyra.io/v1/<sid>/rcs/brand/{{brand_number}} endpoint with the following request method:

Request Format

The following is the request format to get brand details by band number:

curl --location 'https://<api_domain>/v1/<sid>/rcs/brand/{{brand_number}}'\
--header 'Content-Type: <content_type>' \
--header 'api-key: <api-key>'

Sample Request Format

The following is the sample request format to get brand details by band number:

curl --location 'https://rcs-api.in.kaleyra.io/v1/XXXXX6913850XXXX/rcs/brand/54XX2'\
--header 'Content-Type: application/json' \
--header 'api-key: XXXXX3b8497f58a94e84b671aca43XXXX'

URL Parameters and Headers

The following is the list of parameters and headers to send the outgoing message request:

Parameter/HeadersData TypeDescriptionExampleMandatory?
sidStringAccount SID (Security Identifier).XXXXX6913850XXXXYes
Content-TypeStringIndicates the format of the content the API will be processing.The only allowed value is application/JSONYes
api-keyStringAPI key generated from kaleyra.io account.XXXXX3b8497f58a94e84b671aca43XXXXYes
brand_numberStringSystem-generated brand identifier that is immutable.54XX2Yes

Sample Success Response

The following is a sample success response:

{
  "code": "RCS802",
  "message": "RCS Brand details fetched successfully",
  "data": {
        "brand_name": "Lorem ipsum,Lorem ipsu",
        "brand_number": "68XX2",
        "display_name": "Lorem - Demo",
        "brand_description": "This is a demo for Brand",
        "provider_brand_no": "brands/f8XXXXca-3XX1-4XX7-9XXa-3eXXXXXXef",
        "org_id": "77XXXX6e-9XX0-4XXd-aXX1-b8XXXXXXXX62",
        "partner_name": "TCL Partner",
        "partner_email": "[email protected]",
        "contact_name": "John",
        "contact_email": "[email protected]",
        "website_url": "https://www.tatacommunications.com",
        "image_id": "https://d2lu0ihi6f347r.cloudfront.net/17XXXXXXXX913-TC_Small_logo_(224_x_224)_1.png",
        "thumbnail_imageid": "https://d2lu0ihi6f347r.cloudfront.net/17XXXXXXXX172-TC_Banner_Image.jpg",
        "status": "INACTIVE",
        "created_date": 1769173644958,
        "modified_date": 1769693513404,
        "id": "45XXXX12-7XXb-4XX5-aXXd-d5XXXXXXXX16"
    },
  "error": {}
}

Following is the list of parameters shown in the success response:

ParameterData TypeDescriptionExample
brand_nameStringThe official name of the brand provided by the user. Maximum character length is set to 100.Lorem ipsum,Lorem ipsu
brand_numberStringAuto generated brand number sent back as response from the server once the brand is created.68XX2
display_nameStringThe name that will appears for the end-users. Maximum up to 100 charters.Lorem - Demo
brand_descriptionStringDescription of the brand as mentioned by the you. Maximum up to 200 characters.This is a demo for Brand
provider_brand_noStringUnique number provided by platform after successful creation of brand.brands/f8XXXXca-3XX1-4XX7-9XXa-3eXXXXXXef
org_idStringUUID of selected Organization. The details will be provided by Kaleyra Support team.
Note: Organization ID cannot be changed.
77XXXX6e-9XX0-4XXd-aXX1-b8XXXXXXXX62
partner_nameStringName of the partner organization.TCL Partner
partner_emailStringPartner email (must be valid email format).[email protected]
contact_nameStringName of the primary contact person.John
contact_emailStringPartner's email address.[email protected]
website_urlStringURL of the organization/brand.https://www.tatacommunications.com
image_idStringPublic image URL.https://d2lu0ihi6f347r.cloudfront.net/17XXXXXXXX913-TC_Small_logo_(224_x_224)_1.png
thumbnail_imageidStringThumbnail image URL.https://d2lu0ihi6f347r.cloudfront.net/17XXXXXXXX172-TC_Banner_Image.jpg
statusStringStatus of the brand. Possible values are active or inactive.INACTIVE
created_dateStringBrand creation date.1769173644958
modified_dateStringBrand modified date.1769693513404
idStringData correlation purpose that will be used in inside RCS GW and Google.45XXXX12-7XXb-4XX5-aXXd-d5XXXXXXXX16

Sample Failure Response

The following are sample failure responses:

400 Bad Request - RCS Not Enabled

{
    "code": "RCS601",
    "message": "RCS Channel is not enabled for this User",
    "data": [],
    "error": {
        "error_code": "RCS_CHANNEL_DISABLED",
        "error_message": "RCS Channel is not enabled for this User"
    }
}

500 Internal Server Error - API Call Failed

{
  "code": "RCS805",
  "message": "Failed to call Prov API",
  "data": [],
  "error": {
    "error_code": "PROV_ERROR",
    "error_message": "actual API error message"
  }
}

4xx Downstream Error

{
    "code": "RCS804",
    "message": "Unable to fetch RCS Brand details",
    "data": [],
    "error": {
        "error_code": "PROV_ERROR",
        "error_message": "{\"status\":\"FAILED\",\"message\":\"Brand not found\",\"messageKey\":\"message\"}"
    }
}




© 2026 Kaleyra Inc. All rights reserved.
Trademarks, logos and service marks displayed on this site are registered and unregistered trademarks of Kaleyra Inc.